Bug 491925 - .spec: Build should be parallel
.spec: Build should be parallel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: samba4 (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Simo Sorce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 12:52 EDT by Jan Kratochvil
Modified: 2012-05-14 09:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 09:27:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2009-03-24 12:52:25 EDT
Just noticed a line:
make

at the end of %build.

It is missing %{?_smp_mflags} and it has no comment if it is incompatible with the current sources (I hope it isn't and the -j flag can be used there).

RHTS box with 8x1.0GHz CPUs was a pity to use now.
Comment 1 Simo Sorce 2009-03-24 21:12:24 EDT
The samba4 build system at the moment can't do parallel builds unfortunately :(
Comment 2 Matthew Barnes 2009-03-27 21:57:11 EDT
Simo, I'm going to toss this over to you if you don't mind.
Comment 3 Bug Zapper 2009-06-09 08:34:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 09:18:56 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jan Kratochvil 2010-04-27 15:14:42 EDT
Comment 0 .spec situation has not changed in: samba4-4.0.0-23.alpha11.fc14
Comment 6 Bug Zapper 2010-07-30 06:37:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Andreas Schneider 2012-05-14 09:27:22 EDT
This has been fixed for F17 and newer.

Note You need to log in before you can comment on or make changes to this bug.